Tag Archives: ubuntu

Rivendell 1.7.0 packages for debian and ubuntu

Fred Gleason team released Rivendell 1.7.0 on monday, Debian and Ubuntu packages are now updated.

Please follow the quick start guide for your first Rivendell installation.

As usual, you can find on debian.tryphon.org :

  • Debian packages : for lenny, squeeze or unstable
  • Ubuntu packages : for hardy, jaunty and karmic
  • both i386 and amd64 packages

Rivendell 1.6.0 packages for debian and ubuntu (with karmic support)

The Rivendell development team released Rivendell 1.6.0 last thursday, Debian and Ubuntu packages are now updated.

For Ubuntu Karmic users, the distribution is now supported. Choose the right source on debian.tryphon.org.

Please follow the quick start guide for your first Rivendell installation.

Continue reading

First “public” release for alsa-backup

For a long time, we’re using continuous recording tools to record our radio broadcasts. Many of these tools were homemade and alsa-backup is the latest project of this “serie” (after jack-backup and just-record).

alsa-backup can :

  • record several channels,
  • change record file according your naming policy (… without a blank),
  • run as daemon,
  • log into syslog,
  • stop record and retry after errors

And many other features are coming :) This piece of Ruby code is more flexible than just-record. It uses the awesome ruby-ffi library which allows to use C libraries with few lines of ruby code.

alsa-backup is available as debian/ubuntu packages on Tryphon’s debian repository. Source files are available in GitHub alsa-backup repository.

Use a M-Audio Delta 66 Rev E with alsa

I’ve installed this week a Rivendell station with a M-Audio Delta 66 Rev E sound card. As experienced in 2008, the alsa ice1712 driver can’t be loaded with (some ?) Delta 66 Rev E :

[   11.605252] invalid CS8427 signature 0x0: let me try again...
[   11.606638] unable to find CS8427 signature (expected 0x71, read 0x0),
[   11.606687]    initialization is not completed
[   11.606732] CS8427 initialization failed
[   11.606784] ACPI: PCI interrupt for device 0000:05:01.0 disabled
[   11.606790] ICE1712: probe of 0000:05:01.0 failed with error -14

Same problem occurs with alsa 1.0.17 on lenny or 1.0.18 on jaunty.

Several tips are available in forums … but the only way I found to use the card is to patch (again) the alsa driver to disable the cs8427 initialisation.

But this time, here are all the required resources to make your Delta 66 Rev E work with alsa :

Continue reading

Rivendell 1.5.1 packages for debian and ubuntu

Rivendell 1.5.1 has been released this week, Debian and Ubuntu packages have been updated this week-end.

The sox-12 package is no longer required and the access to /usr/share/rivendell has been fixed (a problem to read qt translation files for example).

Please follow the quick start guide for your first Rivendell installation.

Continue reading

Démos Rivendell à l’Ubuntu Party à Paris

A l’invitation d’Olive (et de Solvik), il devrait y avoir moyen de faire quelques démonstrations de Rivendell à l’Ubuntu Party 9.04 à Paris le 16 et 17 mai.

Donc pour ceux qui sont intéressés par Rivendell et une solution libre pour la gestion d’antenne radio, rendez-vous à la Cité des sciences et de l’industrie ce week-end.

Les horaires ne sont pas bien définis, donc jetez une oeil sur mon Twitter pour en savoir plus … ou dans le studio d’OxyRadio où je risque de trainer (on se refait pas ;-) )

Dans tous les cas, les démonstrations seront basées sur ce survol des fonctionnalités de Rivendell :

Rivendell, Libérez votre antenne – format pdf

… et mon fidèle laptop sous Debian unstable, bien sûr :-°

Sox and Jaunty for debian/ubuntu packages for Rivendell 1.4.0

Two news for Debian and Ubuntu Rivendell users :

A new release 1.4.0-2 of debian/ubuntu packages fixes a problem with Sox 14.2 in import and export. The old Sox 12 has been packaged and is used by import/export Rivendell scripts.

After a discussion on french rivendell irc channel (#rivendell-fr) with Ayoli and Raps, Rivendell packages are now available for Ubuntu Jaunty on debian.tryphon.org.

Update: as specified in comments, there are several problems to run Rivendell under Jaunty (Ubuntu or Kubuntu 9.04) . Try to use the previous release Intreprid (Ubuntu / Kubuntu 8.10).

For geeks, reports and tests under Jaunty are welcome on #rivendell and Rivendell mailing-list.